Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class AndInfo

    java.lang.Object
      jet.api.AndInfo

    public class AndInfo

extends java.lang.Object

Class AndInfo defines a where condition definition of a JReport query.

Constructor Summary
`AndInfo()` Constructor.
`AndInfo(java.lang.String sLogic, java.lang.String sExpression1, java.lang.String sOperator, java.lang.String sExpression2)` Constructor.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getExpression1()` Gets the first expression of the where condition.
`java.lang.String` | `getExpression2()` Gets the second expression of the where condition.
`java.lang.String` | `getLogic()` Gets the logic of the where condition.
`java.lang.String` | `getOperator()` Gets the first operator of the where condition.
`void` | `setExpression1(java.lang.String sExpression1)` Sets the first expression of the where condition.
`void` | `setExpression2(java.lang.String sExpression2)` Sets the second expression of the where condition.
`void` | `setLogic(java.lang.String sLogic)` Sets the logic of the where condition.
`void` | `setOperator(java.lang.String sOperator)` Sets the operator of the where condition.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AndInfo

    public AndInfo()

  Constructor. Creates a where condition definition of a JReport query.

### AndInfo

    public AndInfo(java.lang.String sLogic,
                   java.lang.String sExpression1,
                   java.lang.String sOperator,
                   java.lang.String sExpression2)

  Constructor. Creates a where condition definition of a JReport query. An example condition could be "sExpression1 sOperator sExpression2 sLogic". If the expression is a field in the query, it must be marked by "@".

  Parameters:
    `sLogic` - Specifies the logic string of the where condition. The logic describes the relationship between this sentence and the next condition, such as "AND" and "OR".
    `sExpression1` - Specifies the first expression of the where condition.
    `sOperator` - Specifies the operator of the where condition.
    `sExpression2` - Specifies the second expression of the where condition.

Method Detail

### getLogic

    public java.lang.String getLogic()

  Gets the logic of the where condition.

  Returns:
    logic string.

### getExpression1

    public java.lang.String getExpression1()

  Gets the first expression of the where condition.

  Returns:
    the first expression string.

### getOperator

    public java.lang.String getOperator()

  Gets the first operator of the where condition.

  Returns:
    the operator string.

### getExpression2

    public java.lang.String getExpression2()

  Gets the second expression of the where condition.

  Returns:
    the second expression of the where condition.

### setLogic

    public void setLogic(java.lang.String sLogic)

  Sets the logic of the where condition.

  Parameters:
    `sLogic` - Specifies the logic of the where condition.

### setExpression1

    public void setExpression1(java.lang.String sExpression1)

  Sets the first expression of the where condition.

  Parameters:
    `sExpression1` - Specifies the first expression of the where condition.

### setOperator

    public void setOperator(java.lang.String sOperator)

  Sets the operator of the where condition.

  Parameters:
    `sOperator` - Specifies the operator of the where condition.

### setExpression2

    public void setExpression2(java.lang.String sExpression2)

  Sets the second expression of the where condition.

  Parameters:
    `sExpression2` - Specifies the second expression value of the where condition.

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD